[FileName,PathName] = uigetfile('*.mat','Select the datafile to be plotted');
[pathstr, heading,ext]=fileparts(FileName);
load(FileName);
k=length(uitvoer);
for i=1:k
day(i)=uitvoer(i,1:1)/24;
end;
startpunt=35;
eindpunt=15;
datum=StUitvoer(startpunt,1);
tijd=StUitvoer(startpunt,2);
subplot(3,1,1);
 hlines(3)=plot(day(startpunt:k-eindpunt),uitvoer(startpunt:k-eindpunt,3:3),'b');
 xlabel('days)');
 ylabel('waterlevel (m)');
 title(['{\bf',heading,datum,tijd,'}']);
 set(hlines(3),'Displayname','tide')
 legend('Location','WestOutside')
subplot(3,1,2);
 hlines(4)=plot(day(startpunt:k-eindpunt),uitvoer(startpunt:k-eindpunt,4:4),'b');
 hold on;
 hlines(5)=plot(day(startpunt:k-eindpunt),uitvoer(startpunt:k-eindpunt,5:5),'r');
 xlabel('days');
 ylabel('wave height (m)');
 set(hlines(4),'Displayname','H_{1/3}')
 set(hlines(5),'Displayname','H_{m0}')
 legend('Location','WestOutside')
subplot(3,1,3);
 hlines(9)=plot(day(startpunt:k-eindpunt),uitvoer(startpunt:k-eindpunt,9:9),'b');
 hold on;
 hlines(8)=plot(day(startpunt:k-eindpunt),uitvoer(startpunt:k-eindpunt,8:8),'r');
 hold on;
 hlines(7)=plot(day(startpunt:k-eindpunt),uitvoer(startpunt:k-eindpunt,7:7),'m');
 hold on;
 hlines(6)=plot(day(startpunt:k-eindpunt),uitvoer(startpunt:k-eindpunt,6:6),'g');
 set(hlines(6),'Displayname','T_{mean}')
 set(hlines(7),'Displayname','T_{m0,2}')
 set(hlines(8),'Displayname','T_{m-1,0}')
 set(hlines(9),'Displayname','T_{peak}')
 legend('Location','WestOutside')
 xlabel('days');
 ylabel('wve period (s)');
